# class Object::Syck::BadAlias

Define YAML::Syck::BadAlias class

### Attributes

name[RW]

### Public Class Methods

new(p1) click to toggle source

YAML::Syck::BadAlias.initialize

    VALUE
    syck_badalias_initialize(VALUE self, VALUE val)
    {
        rb_iv_set( self, "@name", val );
        return self;
    }

### Public Instance Methods

<=>(p1) click to toggle source

YAML::Syck::BadAlias.<=>

    VALUE
    syck_badalias_cmp(VALUE alias1, VALUE alias2)
    {
        VALUE str1 = rb_ivar_get( alias1, s_name );
        VALUE str2 = rb_ivar_get( alias2, s_name );
        VALUE val = rb_funcall( str1, s_cmp, 1, str2 );
        return val;
    }